# Copyright 2022-2023 ETSI TeraFlowSDN - TFS OSG (https://tfs.etsi.org/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: apps/v1
kind: Deployment
metadata:
  name: e2e-orchestratorservice
spec:
  selector:
    matchLabels:
      app: e2e-orchestratorservice
  replicas: 1
  template:
    metadata:
      annotations:
        config.linkerd.io/skip-outbound-ports: "8761"
      labels:
        app: e2e-orchestratorservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
        - name: server
          image: labs.etsi.org:5050/tfs/controller/e2e_orchestrator:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 10050
            - containerPort: 9192
            - containerPort: 8761
          env:
            - name: LOG_LEVEL
              value: "DEBUG"
          readinessProbe:
            exec:
              command: ["/bin/grpc_health_probe", "-addr=:10050"]
          livenessProbe:
            exec:
              command: ["/bin/grpc_health_probe", "-addr=:10050"]
          resources:
            requests:
              cpu: 200m
              memory: 128Mi
            limits:
              cpu: 1000m
              memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: e2e-orchestratorservice
  labels:
    app: e2e-orchestratorservice
spec:
  type: ClusterIP
  selector:
    app: e2e-orchestratorservice
  ports:
    - name: grpc
      port: 10050
      targetPort: 10050
    - name: metrics
      port: 9192
      targetPort: 9192
    - name: ws
      port: 8761
      targetPort: 8761
